%global         pkgname django-fas

Name:           python-%{pkgname}
Version:        1.1.0
Release:        4%{?dist}
Summary:        Django auth backend for FAS (Fedora Accounts System)
License:        BSD
URL:            https://github.com/misli/%{pkgname}/
Source0:        https://pypi.python.org/packages/9c/fc/baf1c9c2cd7c0f1f3624e3dca3bcfe89670d82ec36744c566efc6a5acd37/django-fas-1.1.0.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
This is Django auth backend for FAS (Fedora Accounts System).


%package -n python3-%{pkgname}
Summary:        Django auth backend for FAS (Fedora Accounts System)
%{?python_provide:%python_provide python3-%{pkgname}}
Requires:       python3-django
Requires:       python3-openid
Provides:       %{pkgname} = %{version}-%{release}

Obsoletes:      python-%{pkgname} < 1.1.0-3
Obsoletes:      python2-%{pkgname} < 1.1.0-3

%description -n python3-%{pkgname}
This is Django auth backend for FAS (Fedora Accounts System).


%prep
%autosetup -n %{pkgname}-%{version}


%build
%{py3_build}


%install
%{py3_install}


%files -n python3-%{pkgname}
%doc LICENSE README.md
%dir %{python3_sitelib}/fas
%{python3_sitelib}/fas/*.py
%dir %{python3_sitelib}/fas/__pycache__
%{python3_sitelib}/fas/__pycache__/*.py*
%{python3_sitelib}/django_fas-%{version}-py3.*.egg-info


%changelog
* Wed Mar 07 2018 Miro Hrončok <mhroncok@redhat.com> - 1.1.0-4
- Add missing %%python_provide
- Remove Groups

* Sat Mar  3 2018 Jakub Dorňák <jakub.dornak@misli.cz> - 1.1.0-3
- Remove python2 subpackage

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Oct  7 2017 Jakub Dorňák <jakub.dornak@misli.cz> - 1.1.0-1
- Update to version 1.1.0
  Resolves: #1498746

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.0.3-7
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-6
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Tue Mar  8 2016 Jakub Dorňák <jdornak@redhat.com> - 1.0.3-5
- temporarily require python-openid instead of python2-openid
  (bug https://bugzilla.redhat.com/show_bug.cgi?id=1313239)

* Wed Mar  2 2016 Jakub Dorňák <jdornak@redhat.com> - 1.0.3-4
- add python2- subpackage

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jul  2 2015 Jakub Dorňák <jdornak@redhat.com> - 1.0.3-1
- Update to version 1.0.3

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon May  4 2015 Jakub Dorňák <jdornak@redhat.com> - 1.0.2-1
- Initial package
